package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwBdGlorgbookExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CwBdGlorgbookExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andPkGlorgbookIsNull() {
            addCriterion("PK_GLORGBOOK is null");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookIsNotNull() {
            addCriterion("PK_GLORGBOOK is not null");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookEqualTo(String value) {
            addCriterion("PK_GLORGBOOK =", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookNotEqualTo(String value) {
            addCriterion("PK_GLORGBOOK <>", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookGreaterThan(String value) {
            addCriterion("PK_GLORGBOOK >", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookGreaterThanOrEqualTo(String value) {
            addCriterion("PK_GLORGBOOK >=", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookLessThan(String value) {
            addCriterion("PK_GLORGBOOK <", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookLessThanOrEqualTo(String value) {
            addCriterion("PK_GLORGBOOK <=", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookLike(String value) {
            addCriterion("PK_GLORGBOOK like", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookNotLike(String value) {
            addCriterion("PK_GLORGBOOK not like", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookIn(List<String> values) {
            addCriterion("PK_GLORGBOOK in", values, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookNotIn(List<String> values) {
            addCriterion("PK_GLORGBOOK not in", values, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookBetween(String value1, String value2) {
            addCriterion("PK_GLORGBOOK between", value1, value2, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookNotBetween(String value1, String value2) {
            addCriterion("PK_GLORGBOOK not between", value1, value2, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andXtxmbhIsNull() {
            addCriterion("XTXMBH is null");
            return (Criteria) this;
        }

        public Criteria andXtxmbhIsNotNull() {
            addCriterion("XTXMBH is not null");
            return (Criteria) this;
        }

        public Criteria andXtxmbhEqualTo(String value) {
            addCriterion("XTXMBH =", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhNotEqualTo(String value) {
            addCriterion("XTXMBH <>", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhGreaterThan(String value) {
            addCriterion("XTXMBH >", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhGreaterThanOrEqualTo(String value) {
            addCriterion("XTXMBH >=", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhLessThan(String value) {
            addCriterion("XTXMBH <", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhLessThanOrEqualTo(String value) {
            addCriterion("XTXMBH <=", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhLike(String value) {
            addCriterion("XTXMBH like", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhNotLike(String value) {
            addCriterion("XTXMBH not like", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhIn(List<String> values) {
            addCriterion("XTXMBH in", values, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhNotIn(List<String> values) {
            addCriterion("XTXMBH not in", values, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhBetween(String value1, String value2) {
            addCriterion("XTXMBH between", value1, value2, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhNotBetween(String value1, String value2) {
            addCriterion("XTXMBH not between", value1, value2, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhIsNull() {
            addCriterion("XTZXMBH is null");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhIsNotNull() {
            addCriterion("XTZXMBH is not null");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhEqualTo(String value) {
            addCriterion("XTZXMBH =", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhNotEqualTo(String value) {
            addCriterion("XTZXMBH <>", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhGreaterThan(String value) {
            addCriterion("XTZXMBH >", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhGreaterThanOrEqualTo(String value) {
            addCriterion("XTZXMBH >=", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhLessThan(String value) {
            addCriterion("XTZXMBH <", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhLessThanOrEqualTo(String value) {
            addCriterion("XTZXMBH <=", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhLike(String value) {
            addCriterion("XTZXMBH like", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhNotLike(String value) {
            addCriterion("XTZXMBH not like", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhIn(List<String> values) {
            addCriterion("XTZXMBH in", values, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhNotIn(List<String> values) {
            addCriterion("XTZXMBH not in", values, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhBetween(String value1, String value2) {
            addCriterion("XTZXMBH between", value1, value2, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhNotBetween(String value1, String value2) {
            addCriterion("XTZXMBH not between", value1, value2, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhIsNull() {
            addCriterion("FQMJBH is null");
            return (Criteria) this;
        }

        public Criteria andFqmjbhIsNotNull() {
            addCriterion("FQMJBH is not null");
            return (Criteria) this;
        }

        public Criteria andFqmjbhEqualTo(String value) {
            addCriterion("FQMJBH =", value, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhNotEqualTo(String value) {
            addCriterion("FQMJBH <>", value, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhGreaterThan(String value) {
            addCriterion("FQMJBH >", value, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhGreaterThanOrEqualTo(String value) {
            addCriterion("FQMJBH >=", value, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhLessThan(String value) {
            addCriterion("FQMJBH <", value, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhLessThanOrEqualTo(String value) {
            addCriterion("FQMJBH <=", value, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhLike(String value) {
            addCriterion("FQMJBH like", value, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhNotLike(String value) {
            addCriterion("FQMJBH not like", value, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhIn(List<String> values) {
            addCriterion("FQMJBH in", values, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhNotIn(List<String> values) {
            addCriterion("FQMJBH not in", values, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhBetween(String value1, String value2) {
            addCriterion("FQMJBH between", value1, value2, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andFqmjbhNotBetween(String value1, String value2) {
            addCriterion("FQMJBH not between", value1, value2, "fqmjbh");
            return (Criteria) this;
        }

        public Criteria andCodeIsNull() {
            addCriterion("CODE is null");
            return (Criteria) this;
        }

        public Criteria andCodeIsNotNull() {
            addCriterion("CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCodeEqualTo(String value) {
            addCriterion("CODE =", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotEqualTo(String value) {
            addCriterion("CODE <>", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThan(String value) {
            addCriterion("CODE >", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CODE >=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThan(String value) {
            addCriterion("CODE <", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThanOrEqualTo(String value) {
            addCriterion("CODE <=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLike(String value) {
            addCriterion("CODE like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotLike(String value) {
            addCriterion("CODE not like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeIn(List<String> values) {
            addCriterion("CODE in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotIn(List<String> values) {
            addCriterion("CODE not in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeBetween(String value1, String value2) {
            addCriterion("CODE between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotBetween(String value1, String value2) {
            addCriterion("CODE not between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("NAME is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("NAME is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("NAME =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("NAME <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("NAME >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("NAME >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("NAME <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("NAME <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("NAME like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("NAME not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("NAME in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("NAME not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("NAME between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("NAME not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodIsNull() {
            addCriterion("PK_ACCPERIOD is null");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodIsNotNull() {
            addCriterion("PK_ACCPERIOD is not null");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodEqualTo(String value) {
            addCriterion("PK_ACCPERIOD =", value, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodNotEqualTo(String value) {
            addCriterion("PK_ACCPERIOD <>", value, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodGreaterThan(String value) {
            addCriterion("PK_ACCPERIOD >", value, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodGreaterThanOrEqualTo(String value) {
            addCriterion("PK_ACCPERIOD >=", value, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodLessThan(String value) {
            addCriterion("PK_ACCPERIOD <", value, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodLessThanOrEqualTo(String value) {
            addCriterion("PK_ACCPERIOD <=", value, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodLike(String value) {
            addCriterion("PK_ACCPERIOD like", value, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodNotLike(String value) {
            addCriterion("PK_ACCPERIOD not like", value, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodIn(List<String> values) {
            addCriterion("PK_ACCPERIOD in", values, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodNotIn(List<String> values) {
            addCriterion("PK_ACCPERIOD not in", values, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodBetween(String value1, String value2) {
            addCriterion("PK_ACCPERIOD between", value1, value2, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkAccperiodNotBetween(String value1, String value2) {
            addCriterion("PK_ACCPERIOD not between", value1, value2, "pkAccperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodIsNull() {
            addCriterion("PK_CURRPERIOD is null");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodIsNotNull() {
            addCriterion("PK_CURRPERIOD is not null");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodEqualTo(String value) {
            addCriterion("PK_CURRPERIOD =", value, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodNotEqualTo(String value) {
            addCriterion("PK_CURRPERIOD <>", value, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodGreaterThan(String value) {
            addCriterion("PK_CURRPERIOD >", value, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodGreaterThanOrEqualTo(String value) {
            addCriterion("PK_CURRPERIOD >=", value, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodLessThan(String value) {
            addCriterion("PK_CURRPERIOD <", value, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodLessThanOrEqualTo(String value) {
            addCriterion("PK_CURRPERIOD <=", value, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodLike(String value) {
            addCriterion("PK_CURRPERIOD like", value, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodNotLike(String value) {
            addCriterion("PK_CURRPERIOD not like", value, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodIn(List<String> values) {
            addCriterion("PK_CURRPERIOD in", values, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodNotIn(List<String> values) {
            addCriterion("PK_CURRPERIOD not in", values, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodBetween(String value1, String value2) {
            addCriterion("PK_CURRPERIOD between", value1, value2, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkCurrperiodNotBetween(String value1, String value2) {
            addCriterion("PK_CURRPERIOD not between", value1, value2, "pkCurrperiod");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeIsNull() {
            addCriterion("PK_SUBJSCHEME is null");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeIsNotNull() {
            addCriterion("PK_SUBJSCHEME is not null");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeEqualTo(String value) {
            addCriterion("PK_SUBJSCHEME =", value, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeNotEqualTo(String value) {
            addCriterion("PK_SUBJSCHEME <>", value, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeGreaterThan(String value) {
            addCriterion("PK_SUBJSCHEME >", value, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeGreaterThanOrEqualTo(String value) {
            addCriterion("PK_SUBJSCHEME >=", value, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeLessThan(String value) {
            addCriterion("PK_SUBJSCHEME <", value, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeLessThanOrEqualTo(String value) {
            addCriterion("PK_SUBJSCHEME <=", value, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeLike(String value) {
            addCriterion("PK_SUBJSCHEME like", value, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeNotLike(String value) {
            addCriterion("PK_SUBJSCHEME not like", value, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeIn(List<String> values) {
            addCriterion("PK_SUBJSCHEME in", values, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeNotIn(List<String> values) {
            addCriterion("PK_SUBJSCHEME not in", values, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeBetween(String value1, String value2) {
            addCriterion("PK_SUBJSCHEME between", value1, value2, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkSubjschemeNotBetween(String value1, String value2) {
            addCriterion("PK_SUBJSCHEME not between", value1, value2, "pkSubjscheme");
            return (Criteria) this;
        }

        public Criteria andPkTransferIsNull() {
            addCriterion("PK_TRANSFER is null");
            return (Criteria) this;
        }

        public Criteria andPkTransferIsNotNull() {
            addCriterion("PK_TRANSFER is not null");
            return (Criteria) this;
        }

        public Criteria andPkTransferEqualTo(String value) {
            addCriterion("PK_TRANSFER =", value, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferNotEqualTo(String value) {
            addCriterion("PK_TRANSFER <>", value, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferGreaterThan(String value) {
            addCriterion("PK_TRANSFER >", value, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferGreaterThanOrEqualTo(String value) {
            addCriterion("PK_TRANSFER >=", value, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferLessThan(String value) {
            addCriterion("PK_TRANSFER <", value, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferLessThanOrEqualTo(String value) {
            addCriterion("PK_TRANSFER <=", value, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferLike(String value) {
            addCriterion("PK_TRANSFER like", value, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferNotLike(String value) {
            addCriterion("PK_TRANSFER not like", value, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferIn(List<String> values) {
            addCriterion("PK_TRANSFER in", values, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferNotIn(List<String> values) {
            addCriterion("PK_TRANSFER not in", values, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferBetween(String value1, String value2) {
            addCriterion("PK_TRANSFER between", value1, value2, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andPkTransferNotBetween(String value1, String value2) {
            addCriterion("PK_TRANSFER not between", value1, value2, "pkTransfer");
            return (Criteria) this;
        }

        public Criteria andEnablestatteIsNull() {
            addCriterion("ENABLESTATTE is null");
            return (Criteria) this;
        }

        public Criteria andEnablestatteIsNotNull() {
            addCriterion("ENABLESTATTE is not null");
            return (Criteria) this;
        }

        public Criteria andEnablestatteEqualTo(String value) {
            addCriterion("ENABLESTATTE =", value, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteNotEqualTo(String value) {
            addCriterion("ENABLESTATTE <>", value, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteGreaterThan(String value) {
            addCriterion("ENABLESTATTE >", value, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteGreaterThanOrEqualTo(String value) {
            addCriterion("ENABLESTATTE >=", value, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteLessThan(String value) {
            addCriterion("ENABLESTATTE <", value, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteLessThanOrEqualTo(String value) {
            addCriterion("ENABLESTATTE <=", value, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteLike(String value) {
            addCriterion("ENABLESTATTE like", value, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteNotLike(String value) {
            addCriterion("ENABLESTATTE not like", value, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteIn(List<String> values) {
            addCriterion("ENABLESTATTE in", values, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteNotIn(List<String> values) {
            addCriterion("ENABLESTATTE not in", values, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteBetween(String value1, String value2) {
            addCriterion("ENABLESTATTE between", value1, value2, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andEnablestatteNotBetween(String value1, String value2) {
            addCriterion("ENABLESTATTE not between", value1, value2, "enablestatte");
            return (Criteria) this;
        }

        public Criteria andUseStateIsNull() {
            addCriterion("USE_STATE is null");
            return (Criteria) this;
        }

        public Criteria andUseStateIsNotNull() {
            addCriterion("USE_STATE is not null");
            return (Criteria) this;
        }

        public Criteria andUseStateEqualTo(String value) {
            addCriterion("USE_STATE =", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotEqualTo(String value) {
            addCriterion("USE_STATE <>", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateGreaterThan(String value) {
            addCriterion("USE_STATE >", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateGreaterThanOrEqualTo(String value) {
            addCriterion("USE_STATE >=", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLessThan(String value) {
            addCriterion("USE_STATE <", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLessThanOrEqualTo(String value) {
            addCriterion("USE_STATE <=", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLike(String value) {
            addCriterion("USE_STATE like", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotLike(String value) {
            addCriterion("USE_STATE not like", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateIn(List<String> values) {
            addCriterion("USE_STATE in", values, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotIn(List<String> values) {
            addCriterion("USE_STATE not in", values, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateBetween(String value1, String value2) {
            addCriterion("USE_STATE between", value1, value2, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotBetween(String value1, String value2) {
            addCriterion("USE_STATE not between", value1, value2, "useState");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNull() {
            addCriterion("CREATE_USER is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNotNull() {
            addCriterion("CREATE_USER is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserEqualTo(String value) {
            addCriterion("CREATE_USER =", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotEqualTo(String value) {
            addCriterion("CREATE_USER <>", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThan(String value) {
            addCriterion("CREATE_USER >", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_USER >=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThan(String value) {
            addCriterion("CREATE_USER <", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThanOrEqualTo(String value) {
            addCriterion("CREATE_USER <=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLike(String value) {
            addCriterion("CREATE_USER like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotLike(String value) {
            addCriterion("CREATE_USER not like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserIn(List<String> values) {
            addCriterion("CREATE_USER in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotIn(List<String> values) {
            addCriterion("CREATE_USER not in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserBetween(String value1, String value2) {
            addCriterion("CREATE_USER between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotBetween(String value1, String value2) {
            addCriterion("CREATE_USER not between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNull() {
            addCriterion("UPDATE_USER is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNotNull() {
            addCriterion("UPDATE_USER is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserEqualTo(String value) {
            addCriterion("UPDATE_USER =", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotEqualTo(String value) {
            addCriterion("UPDATE_USER <>", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThan(String value) {
            addCriterion("UPDATE_USER >", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
            addCriterion("UPDATE_USER >=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThan(String value) {
            addCriterion("UPDATE_USER <", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThanOrEqualTo(String value) {
            addCriterion("UPDATE_USER <=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLike(String value) {
            addCriterion("UPDATE_USER like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotLike(String value) {
            addCriterion("UPDATE_USER not like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIn(List<String> values) {
            addCriterion("UPDATE_USER in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotIn(List<String> values) {
            addCriterion("UPDATE_USER not in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserBetween(String value1, String value2) {
            addCriterion("UPDATE_USER between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotBetween(String value1, String value2) {
            addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("UPDATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("UPDATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("UPDATE_TIME =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("UPDATE_TIME <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("UPDATE_TIME >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("UPDATE_TIME <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("UPDATE_TIME in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("UPDATE_TIME not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}